# Namespace: BrowserFeature

## ol.BrowserFeature

### Members

#### static,constantol.BrowserFeature.DEVICE_PIXEL_RATIO{number} experimental

  The ratio between physical pixels and device-independent pixels (dips) on the device (`window.devicePixelRatio`).

#### static,constantol.BrowserFeature.HAS_CANVAS{boolean} experimental

  True if browser supports Canvas.

#### static,constantol.BrowserFeature.HAS_DEVICE_ORIENTATION{boolean} experimental

  Indicates if DeviceOrientation is supported in the user's browser.

#### static,constantol.BrowserFeature.HAS_GEOLOCATION{boolean} experimental

  Is HTML5 geolocation supported in the current browser?

#### static,constantol.BrowserFeature.HAS_TOUCH{boolean} experimental

  True if browser supports touch events.

#### static,constantol.BrowserFeature.HAS_WEBGL{boolean} experimental

  True if browser supports WebGL.